<template>
<el-dialog :visible.sync="dialogPush" append-to-body  :close-on-click-modal="false"  @close="recoverPage" title="导出">
  <div style="margin-bottom: 10px">
    <el-radio-group v-model="radio">
      <el-radio :label="0">选择</el-radio>
      <el-radio :label="1">全部</el-radio>
      <el-radio :label="2">页码</el-radio>
    </el-radio-group>
  </div>
  <div style="text-align: center">
  <el-transfer
    style="text-align: left; display: inline-block;height: 400px"
    filterable
    :filter-method="filterMethod"
    filter-placeholder="关键词搜索"
    v-model="value"
    :titles="['未选属性', '已选属性']"
    :data="data">
  </el-transfer>
  </div>
</el-dialog>
</template>

<script>
export default {
name: "MasterTransfer",
  props:['visible','tableHeadData','codeClassifyOid'],
  data(){
    return {
      data: [],
      value: [],
      filterMethod(query, item) {
        return item.label.indexOf(query) > -1;
      },
      dialogPush:this.visible,
      radio:0,
      tableHeadFindData:[],
      tableExportData:[],
      option:{
        title: '文档标题',
        column: [{
          label: '多级表头',
          prop: 'header',
          children: []
        }],
        data: [{
          title1: "测试数据1",
          title2: "测试数据2"
        }, {
          title1: "测试数据2",
          title2: "测试数据2"
        }]
      }
    };
  },
  watch:{
    //监听初始化
    visible (){
      this.dialogPush = this.visible;
    },
    //表头数据 用来渲染穿梭框
    tableHeadData:{
      handler(newval,oldval){
       if(newval){
         this.tableHeadFindData=newval.map(obj => obj.label);
         this.tableHeadFindData.forEach((city, index) => {
           this.data.push({
             label: city,
             key: index,
           });
         });
         return this.data;
       }
      }
},
    codeClassifyOid:{
      handler(newval,oldval){
        console.log('daochu',newval,oldval)
      }
    }
  },
  computed:{

  },
  mounted() {
  this.ExportRend()
  },
  methods:{
    //关闭页面
    recoverPage(){
      this.$emit('update:visible', false);
    },
    //导出表格数据转换表头信息
    ExportRend(){
      this.tableExportData=this.tableHeadData.map(obj => {
        return {
          label: obj.label,
          prop: obj.prop
        }
      })
      console.log(this.tableExportData)
    }
  }
}
</script>

<style scoped lang="scss">

</style>
